@font-face {
    font-family: 'Viga';
    src: url('Fuente/Viga-Regular.ttf') format('truetype');
    font-weight: normal;
    font-style: normal;
}

body{
    margin: 0;
}

body:before {
    content: '';
    position: absolute;
    width: 0;
    height: 0;
    background: url('Imágenes/Fondo7.jpg') no-repeat, 
                url('Imágenes/Fondo6.jpg') no-repeat, 
                url('Imágenes/Fondo4.jpg') no-repeat;
    visibility: hidden;
}

.inicio {
    will-change: background-image;
}

@media only screen and (max-width: 600px) {
    body {
        font-size: 9px; /* Tamaño de letra reducido para pantallas pequeñas */
    }
}

.inicio {
    margin: 0;
    height: 100vh;
    display: flex;
    justify-content: center;
    align-items: center;
    background-image: linear-gradient(to bottom, #000 1%, transparent, transparent), url('Imágenes/Fondo7.jpg');
    background-size: cover;
    background-position: center;
    animation: cambiarFondo 15s infinite;
}

@keyframes cambiarFondo {
    0%, 33% {
        background-image: linear-gradient(to bottom, #000 1%, transparent,transparent), url('Imágenes/Fondo7.jpg');
    }
    33.01%, 66% {
        background-image: linear-gradient(to bottom, #000 1%, transparent, transparent), url('Imágenes/Fondo6.jpg');
    }
    66.01%, 100% {
        background-image: linear-gradient(to bottom, #000 1%, transparent, transparent), url('Imágenes/Fondo4.jpg');
    }
}


.puntos {
    position: absolute;
    bottom: 15%;
    display: flex;
    gap: 10px;
}

.punto {
    width: 7px;
    height: 7px;
    border-radius: 50%;
    background-color: #fff;
    opacity: 0.5;
    cursor: pointer;
    transition: opacity 0.3s;
}

.punto.activo {
    opacity: 1;
}

.logo{
    position: absolute;
    top: 10px;
    left: 3%;
}

.logo-vet{
    width: 170px;
}

.contenedor{
    display: flex;
    flex-flow: row wrap;
}

.menu{
    margin: 0;
    position: absolute;
    top: 20px;
    right: 3%;
    font-family: Arial;
    font-size: 0.9em;
}

.nav__list{
    margin: 0;
    text-align: center;
}

.nav__link{
    color: #93ba49;
    text-decoration: none;
    font-family: Arial;
    font-size: 0.9em;
}

.nav__link:hover{
    font-weight: bold;
    color: #8dbf2f;
}

.nav__item{
    display: inline-block;
    padding: 10px;
}

p{
    font-family: 'Viga';
    text-align: center;
}

.tagline {
    line-height: 0; /* Sin interlineado adicional */
    text-align: center;
}

.tagline-top{
    color: #e6a422;
    font-size: 1.4em;
}

.tagline-bottom {
    color: #fff;
    font-size: 2.5em;
}

.contact-button {
    background-color: #d3a234; /* Color mostaza */
    color: white; /* Color del texto */
    border: none; /* Sin borde */
    border-radius: 30px; /* Bordes redondeados */
    padding: 20px 40px; /* Espaciado interno (vertical y horizontal) */
    font-size: 0.9em; /* Tamaño de la fuente */
    cursor: pointer; /* Cambiar el cursor al pasar por encima */
    transition: background-color 0.3s; /* Transición suave al cambiar el color */
    font-family: Arial;
    letter-spacing: 3px;
    width: 60%;
}

.contact-button:hover {
    background-color: #ffca28; /* Color más claro al pasar el ratón */
}

.paper-cut{
    background-image: url(Imágenes/Inicio_nosotros.png);
    background-size: cover; /* Ajusta el tamaño de la imagen para cubrir el contenedor */
    bottom: 0px;
    position: absolute;
    width: 100%;
    height: 100px;
}

.nosotros{
    background-color: #f6f4e5;
    margin: 0;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
}

.nosotros-descripcion{
    flex: 1;
}

.about{
    margin: 0;
    text-align: left;
    margin-left: 3%;
    color: #8dbf2f;
    letter-spacing: 3px;
}

.title{
    margin: 0;
    font-family: 'Viga';
    margin-left: 3%;
    color: #472c1a;
    font-size: 3.5em;
}

.about-texto{
    margin: 0;
    width: 90%;
    text-align: left;
    margin-left: 3%;
    color: #472c1a;
    letter-spacing: 2px;
    font-family: Arial;
    text-align: justify;
    line-height: 2;
}

.mapa_piura { 
    background-image: url('Imágenes/Piura_vet_1.png');
    background-size: contain; /* Escala la imagen */
    background-position: center; /* Centra la imagen */
    background-repeat: no-repeat; /* Evita que la imagen se repita */
    width: 600px; /* Ajusta el ancho */
    height: 600px; /* Ajusta la altura */
    margin: 0;
}

.paper-cut_2{
    background-image: url(Imágenes/Nosotros_Productos.png);
    background-size: cover; /* Ajusta el tamaño de la imagen para cubrir el contenedor */
    position: relative;
    width: 100%;
    height: 100px;
    margin-top: 20px;
}
.productos{
    background-color: #502414;
    margin: 0;
}

.productos-title{
    color: #f6f4e5;
    margin: 0;
    font-family: 'Viga';
    text-align: center;
    font-size: 2.3em;
    letter-spacing: 3px;
    width: 100%;
}
.productos_descripcion{
    color: #f6f4e5;
    margin: 0;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
}

.productos-item{
    font-family: sans-serif;
    font-size: 0.8em;
    text-align: center;
    margin-left: 5%;
    margin-right: 5%;
    margin-top: 25px;
    display: flex;
    flex-direction: column; /* Alinea en columna */
    align-items: center; /* Centra horizontalmente */
    justify-content: center; /* Centra verticalmente */
    padding: 20px;
    transition: transform 0.3s ease; /* Transición suave */
}

.item__uva{
    background-image: url('Imágenes/iconos_frutas_3/uva.png');
    background-size: contain; /* Escala la imagen */
    background-position: center; /* Centra la imagen */
    background-repeat: no-repeat; /* Evita que la imagen se repita */
    width: 200px;
    height: 200px;
    transition: transform 0.3s ease; /* Transición suave */
}

.item__limon{
    background-image: url('Imágenes/iconos_frutas_3/limon.png');
    background-size: contain; /* Escala la imagen */
    background-position: center; /* Centra la imagen */
    background-repeat: no-repeat; /* Evita que la imagen se repita */
    width: 200px;
    height: 200px;
    transition: transform 0.3s ease; /* Transición suave */
}

.item__palta{
    background-image: url('Imágenes/iconos_frutas_3/palta.png');
    background-size: contain; /* Escala la imagen */
    background-position: center; /* Centra la imagen */
    background-repeat: no-repeat; /* Evita que la imagen se repita */
    width: 200px;
    height: 200px;
    transition: transform 0.3s ease; /* Transición suave */
}

.item__descripcion{
    font-family: sans-serif;
    font-size: 1.2em;
    margin-top: 20px;
    transition: transform 0.3s ease; /* Transición suave */
}
/* Agranda la imagen y el texto al pasar el mouse */

.productos-item:hover .item__limon,
.productos-item:hover .item__uva,
.productos-item:hover .item__palta,
.productos-item:hover .item__descripcion {
    transform: scale(1.2); /* Escala tanto la imagen como el texto un 20% más */
    text-shadow: 1px 1px 7px #fff; /* sombra blanca suave */
}

.paper-cut_3{
    background-image: url(Imágenes/Productos_Infraestructura.png);
    background-size: cover; /* Ajusta el tamaño de la imagen para cubrir el contenedor */
    position: relative;
    width: 100%;
    height: 100px;
    margin-top: 20px;
}

.infraestructura{
    background-color: #d4a434;
    margin: 0;
}

.infraestructura-title{
    color: #502414;
    margin: 0;
    font-family: 'Viga';
    text-align: center;
    font-size: 2.3em;
    letter-spacing: 3px;
    width: 100%;
}

.infraestructura_descripcion{
    color: #502414;
    margin: 0;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between; /* Distribuye los items como en la sección de productos */
}


.infraestructura-item{
    font-family: sans-serif;
    font-size: 0.8em;
    text-align: center;
    margin-left: 5%;
    margin-right: 5%;
    margin-top: 25px;
    display: flex;
    flex-direction: column; /* Alinea en columna */
    align-items: center; /* Centra horizontalmente */
    justify-content: center; /* Centra verticalmente */
    padding: 20px;
    transition: transform 0.3s ease; /* Transición suave */    
}

.item__packing, .item__parrones, .item__barbadas, .item__vides{
    background-size: cover; /* Escala la imagen */
    background-position: center; /* Centra la imagen */
    background-repeat: no-repeat; /* Evita que la imagen se repita */
    width: 130px;
    height: 100px;
    transition: transform 0.3s ease; /* Transición suave */
    border-radius: 10px;
    box-shadow: 0 6px 12px rgba(0, 0, 0, 0.4);
}

.item__packing{
    background-image: url('Imágenes/Infraestructura/Packing.jpg');
}

.item__parrones {
    background-image: url('Imágenes/Infraestructura/Parrones.jpg');
}

.item__barbadas{
    background-image: url('Imágenes/Infraestructura/Barbadas.jpg');
}

.item__vides{
    background-image: url('Imágenes/Infraestructura/Vides.jpg');
}

/* Agranda la imagen y el texto al pasar el mouse */

.infraestructura-item:hover .item__packing,
.infraestructura-item:hover .item__parrones,
.infraestructura-item:hover .item__vides,
.infraestructura-item:hover .item__barbadas,
.infraestructura-item:hover .item__descripcion {
    transform: scale(1.2); /* Escala tanto la imagen como el texto un 20% más */
    text-shadow: 1px 1px 7px #fff; /* sombra blanca suave */
    box-shadow: 0 6px 12px rgba(0, 0, 0, 0.4);
}

.paper-cut_4{
    background-image: url(Imágenes/Infraestructura_Alianzas.png);
    background-size: cover; /* Ajusta el tamaño de la imagen para cubrir el contenedor */
    position: relative;
    width: 100%;
    height: 100px;
    margin-top: 20px;
}

.alianzas{
    background-color: #7cbc3c;
    margin: 0;
    padding: 0;
    justify-content: center;
    align-items: center;
    min-height: 100vh;
}

.alianzas-title{
    color: #fff;
    margin: 0;
    font-family: 'Viga';
    text-align: center;
    font-size: 2.3em;
    letter-spacing: 3px;
    width: 100%;
}

.alianzas_descripcion{
    display: grid;
    grid-template-columns: repeat(3, 1fr); /* 3 columnas */
    gap: 10px; /* Espacio entre elementos */
    max-width: 720px; /* Limita el ancho de la cuadrícula */
    margin: 0 auto; /* Centra el contenedor horizontalmente */
    justify-content: center;
    align-items: center;
    margin-bottom: 0px;
}

.item__alianza1, .item__alianza2, .item__alianza3, .item__alianza4,.item__alianza5,.item__alianza6, .item__alianza7,
.item__alianza8, .item__alianza9{
    background-size: contain; /* Escala la imagen */
    background-position: center; /* Centra la imagen */
    background-repeat: no-repeat; /* Evita que la imagen se repita */
    width: 230px;
    height: 200px;
    transition: transform 0.3s ease; /* Transición suave */
    border-radius: 0px;
    margin-left: 50px;
    margin-right: 50px;
    margin-bottom: 0px;
    /*border: solid 5px #000;*/
}


.item__alianza1{
    background-image: url('Imágenes/Alianzas/Imagen1.png');
}
.item__alianza2{
    background-image: url('Imágenes/Alianzas/Imagen2.png');
}
.item__alianza3{
    background-image: url('Imágenes/Alianzas/Imagen3.png');
}
.item__alianza4{
    background-image: url('Imágenes/Alianzas/Imagen4.png');
}
.item__alianza5{
    background-image: url('Imágenes/Alianzas/Imagen5.png');
}
.item__alianza6{
    background-image: url('Imágenes/Alianzas/Imagen7.jpg');
}
.item__alianza7{
    background-image: url('Imágenes/Alianzas/Imagen6.jpg');
}
.item__alianza8{
    background-image: url('Imágenes/Alianzas/Imagen8.jpg');
}
.item__alianza9{
    background-image: url('Imágenes/Alianzas/Imagen9.png');
}

.paper-cut_5{
    background-image: url(Imágenes/Alianzas_Contacto.png);
    background-size: cover; /* Ajusta el tamaño de la imagen para cubrir el contenedor */
    position: relative;
    width: 100%;
    height: 100px;
    margin-top: 20px;
}

.contacto{
    background-image: url(Imágenes/Fondos/Alianza_1.jpg);
    background-size: cover; /* Ajusta el tamaño de la imagen para cubrir el contenedor */
    margin: 0;
    padding: 0;
    min-height: 100vh;
}

.contacto-title{
    color: #502414;
    margin: 0;
    font-family: 'Viga';
    text-align: center;
    font-size: 2.3em;
    letter-spacing: 3px;
    width: 100%;
    padding-top: 80px;
}

.contacto-contenedor {
    font-family: 'Viga';
    color: #444;
    margin: 0;
    padding: 0;
    display: flex;
}

.contacto-left {
    flex: 1;
    margin-top: 0px;
    padding-left: 10%;
}

.contacto-right {
    flex: 1;
    width: 50%;
    align-items: center;
    justify-content: center;
}

.contacto-right h2 {
    margin-bottom: 20px;    
    color: #444;
    font-family: 'Viga';
}

.contacto-right form {
    display: flex;
    flex-direction: column;
    gap: 15px;
}

.contacto-right label {
    font-weight: bold;
    color: #222;
}

.contacto-right input, .contacto-right textarea {
    width: 50%;
    padding: 10px;
    margin-top: 5px;
    border: 1px solid #ccc;
    border-radius: 4px;
    font-family: 'Viga';
    font-size: 16px;
    color: #502414;
}

.contacto-right textarea {
    resize: none;
    height: 100px;
    color: #888;
}

.contacto-button {
    background-color: #e4a424;
    color: white;
    border: none;
    cursor: pointer;
    font-size: 16px;
    font-family: 'Viga';
    align-items: center;
    justify-content: center;
    width: 20%;
    padding: 10px;   
    border-radius: 8px; 
}

.contacto-right input::placeholder, .contacto-right textarea::placeholder{
    font-family: 'Viga';
    color: #888;
}

.contacto-button:hover {
    background-color: #5a3719;
}

.contacto-left p, .contacto-left a{
    text-align: left;
    color: #444;
    text-decoration: none;;
}

footer {
    text-align: center;
    padding-top: 100px; /* Más espacio alrededor del texto */
    padding-bottom: 20px;
    color: white;
    background: linear-gradient(to bottom, transparent, #435925); /* Degradado transparente a marrón */
    font-size: 12px; /* Aumenta el tamaño de la letra */
    font-family: 'Roboto'; /* Fuente elegante */
    letter-spacing: 1px; /* Espaciado entre letras */
}
